Package org.eclipse.emf.cdo.lm.reviews.impl

# Class DeliveryReviewImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
org.eclipse.emf.internal.cdo.CDOObjectImpl
org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
org.eclipse.emf.cdo.lm.impl.BaselineImpl
org.eclipse.emf.cdo.lm.reviews.impl.ReviewImpl
org.eclipse.emf.cdo.lm.reviews.impl.DeliveryReviewImpl

All Implemented Interfaces:
  `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `ModelElement`, `Baseline`, `FloatingBaseline`, `ExtendedBaseline`, `ModuleElement`, `Commentable`, `DeliveryReview`, `Review`, `StreamElement`, `SystemElement`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`

public class DeliveryReviewImpl extends ReviewImpl implements DeliveryReview
An implementation of the model object 'Delivery Review'.

Generated
No Extend
  This class is not intended to be subclassed by clients.

  The following features are implemented:

  - `Closed`
  - `Base`
  - `Impact`
  - `Branch`
  - `Deliveries`
  - `Source Change`
  - `Source Commit`
  - `Target Commit`
  - `Rebase Count`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final CDOBranchRef`
`BRANCH_EDEFAULT`
The default value of the '`Branch`' attribute.
`protected static final boolean`
`CLOSED_EDEFAULT`
The default value of the '`Closed`' attribute.
`protected static final Impact`
`IMPACT_EDEFAULT`
The default value of the '`Impact`' attribute.
`protected static final int`
`REBASE_COUNT_EDEFAULT`
The default value of the '`Rebase Count`' attribute.
`protected static final long`
`SOURCE_COMMIT_EDEFAULT`
The default value of the '`Source Commit`' attribute.
`protected static final long`
`TARGET_COMMIT_EDEFAULT`
The default value of the '`Target Commit`' attribute.

### Fields inherited from class org.eclipse.emf.cdo.lm.reviews.impl.ReviewImpl

`AUTHOR_EDEFAULT, COMMENT_COUNT_EDEFAULT, ID_EDEFAULT, RESOLVED_COUNT_EDEFAULT, STATUS_EDEFAULT, UNRESOLVED_COUNT_EDEFAULT`

### Fields inherited from class org.eclipse.emf.cdo.lm.impl.BaselineImpl

`FLOATING_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.cdo.lm.Baseline

`COMPARATOR`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DeliveryReviewImpl()`

## Method Summary

Modifier and Type
Method
Description
`int`
`eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)`
`int`
`eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`FixedBaseline`
`getBase()`
`long`
`getBaseTimeStamp()`
`CDOBranchRef`
`getBranch()`
`CDOBranchPointRef`
`getBranchPoint()`
`EList<Delivery>`
`getDeliveries()`
`Impact`
`getImpact()`
`String`
`getName()`
`int`
`getRebaseCount()`
`int`
`getSortPriority()`
`Change`
`getSourceChange()`
`long`
`getSourceCommit()`
`long`
`getTargetCommit()`
`String`
`getTypeName()`
`boolean`
`isClosed()`
`boolean`
`isFloating()`
`void`
`setBase(FixedBaseline newBase)`
`void`
`setBranch(CDOBranchRef newBranch)`
`void`
`setClosed(boolean newClosed)`
`void`
`setImpact(Impact newImpact)`
`void`
`setRebaseCount(int newRebaseCount)`
`void`
`setSourceChange(Change newSourceChange)`
`void`
`setSourceCommit(long newSourceCommit)`
`void`
`setTargetCommit(long newTargetCommit)`

### Methods inherited from class org.eclipse.emf.cdo.lm.reviews.impl.ReviewImpl

`eInverseAdd, eInverseRemove, getAuthor, getCommentCount, getComments, getId, getResolvedCount, getReview, getReviewers, getStatus, getUnresolvedCount, setAuthor, setId, setStatus`

### Methods inherited from class org.eclipse.emf.cdo.lm.impl.BaselineImpl

`basicSetStream, change, eBasicRemoveFromContainerFeature, eInvoke, extended, getModule, getStream, getSystem, getTypeAndName, name, setStream, time, type`

### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

`eStaticFeatureCount, getAnnotation, getAnnotations`

### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eAdapters, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

`eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.lm.Baseline

`getStream, getTypeAndName, setStream`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.cdo.lm.reviews.Commentable

`getCommentCount, getComments, getResolvedCount, getReview, getUnresolvedCount`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBasicRemoveFromContainer, eDerivedOperationID, eGet, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eURIFragmentSegment`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.cdo.lm.ModuleElement

`getModule`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.reviews.Review

`getAuthor, getId, getReviewers, getStatus, setAuthor, setId, setStatus`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Field Details

### CLOSED_EDEFAULT

protected static final boolean CLOSED_EDEFAULT
The default value of the '`Closed`' attribute.

See Also:
  - `isClosed()`
  - Constant Field Values
Generated
Ordered

### IMPACT_EDEFAULT

protected static final Impact IMPACT_EDEFAULT
The default value of the '`Impact`' attribute.

See Also:
  - `getImpact()`
Generated
Ordered

### BRANCH_EDEFAULT

protected static final CDOBranchRef BRANCH_EDEFAULT
The default value of the '`Branch`' attribute.

See Also:
  - `getBranch()`
Generated
Ordered

### SOURCE_COMMIT_EDEFAULT

protected static final long SOURCE_COMMIT_EDEFAULT
The default value of the '`Source Commit`' attribute.

See Also:
  - `getSourceCommit()`
  - Constant Field Values
Generated
Ordered

### TARGET_COMMIT_EDEFAULT

protected static final long TARGET_COMMIT_EDEFAULT
The default value of the '`Target Commit`' attribute.

See Also:
  - `getTargetCommit()`
  - Constant Field Values
Generated
Ordered

### REBASE_COUNT_EDEFAULT

protected static final int REBASE_COUNT_EDEFAULT
The default value of the '`Rebase Count`' attribute.

See Also:
  - `getRebaseCount()`
  - Constant Field Values
Generated
Ordered

## Constructor Details

### DeliveryReviewImpl

protected DeliveryReviewImpl()

Generated

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `ReviewImpl`
Generated

### isClosed

public boolean isClosed()

Specified by:
  `isClosed` in interface `FloatingBaseline`
Returns:
  the value of the 'Closed' attribute.
See Also:
  - `FloatingBaseline.setClosed(boolean)`
  - `LMPackage.getFloatingBaseline_Closed()`
Generated

### setClosed

public void setClosed(boolean newClosed)

Specified by:
  `setClosed` in interface `FloatingBaseline`
Parameters:
  `newClosed` - the new value of the 'Closed' attribute.
See Also:
  - `FloatingBaseline.isClosed()`
Generated

### getSourceChange

public Change getSourceChange()

Specified by:
  `getSourceChange` in interface `DeliveryReview`
Returns:
  the value of the 'Source Change' reference.
See Also:
  - `DeliveryReview.setSourceChange(Change)`
  - `ReviewsPackage.getDeliveryReview_SourceChange()`
Generated

### setSourceChange

public void setSourceChange(Change newSourceChange)

Specified by:
  `setSourceChange` in interface `DeliveryReview`
Parameters:
  `newSourceChange` - the new value of the 'Source Change' reference.
See Also:
  - `DeliveryReview.getSourceChange()`
Generated

### getSourceCommit

public long getSourceCommit()

Specified by:
  `getSourceCommit` in interface `DeliveryReview`
Returns:
  the value of the 'Source Commit' attribute.
See Also:
  - `DeliveryReview.setSourceCommit(long)`
  - `ReviewsPackage.getDeliveryReview_SourceCommit()`
Generated

### setSourceCommit

public void setSourceCommit(long newSourceCommit)

Specified by:
  `setSourceCommit` in interface `DeliveryReview`
Parameters:
  `newSourceCommit` - the new value of the 'Source Commit' attribute.
See Also:
  - `DeliveryReview.getSourceCommit()`
Generated

### getTargetCommit

public long getTargetCommit()

Specified by:
  `getTargetCommit` in interface `DeliveryReview`
Returns:
  the value of the 'Target Commit' attribute.
See Also:
  - `DeliveryReview.setTargetCommit(long)`
  - `ReviewsPackage.getDeliveryReview_TargetCommit()`
Generated

### setTargetCommit

public void setTargetCommit(long newTargetCommit)

Specified by:
  `setTargetCommit` in interface `DeliveryReview`
Parameters:
  `newTargetCommit` - the new value of the 'Target Commit' attribute.
See Also:
  - `DeliveryReview.getTargetCommit()`
Generated

### getRebaseCount

public int getRebaseCount()

Specified by:
  `getRebaseCount` in interface `DeliveryReview`
Returns:
  the value of the 'Rebase Count' attribute.
See Also:
  - `DeliveryReview.setRebaseCount(int)`
  - `ReviewsPackage.getDeliveryReview_RebaseCount()`
Generated

### setRebaseCount

public void setRebaseCount(int newRebaseCount)

Specified by:
  `setRebaseCount` in interface `DeliveryReview`
Parameters:
  `newRebaseCount` - the new value of the 'Rebase Count' attribute.
See Also:
  - `DeliveryReview.getRebaseCount()`
Generated

### getBase

public FixedBaseline getBase()

Specified by:
  `getBase` in interface `DeliveryReview`
Specified by:
  `getBase` in interface `FloatingBaseline`
Returns:
  the value of the 'Base' reference.
See Also:
  - `DeliveryReview.setBase(FixedBaseline)`
  - `ReviewsPackage.getDeliveryReview_Base()`
Generated

### setBase

public void setBase(FixedBaseline newBase)

Specified by:
  `setBase` in interface `DeliveryReview`
Parameters:
  `newBase` - the new value of the 'Base' reference.
See Also:
  - `DeliveryReview.getBase()`
Generated

### getImpact

public Impact getImpact()

Specified by:
  `getImpact` in interface `DeliveryReview`
Returns:
  the value of the 'Impact' attribute.
See Also:
  - `Impact`
  - `DeliveryReview.setImpact(Impact)`
  - `ReviewsPackage.getDeliveryReview_Impact()`
Generated

### setImpact

public void setImpact(Impact newImpact)

Specified by:
  `setImpact` in interface `DeliveryReview`
Parameters:
  `newImpact` - the new value of the 'Impact' attribute.
See Also:
  - `Impact`
  - `DeliveryReview.getImpact()`
Generated

### getDeliveries

public EList<Delivery> getDeliveries()

Specified by:
  `getDeliveries` in interface `DeliveryReview`
Specified by:
  `getDeliveries` in interface `FloatingBaseline`
Returns:
  the value of the 'Deliveries' reference list.
See Also:
  - `ReviewsPackage.getDeliveryReview_Deliveries()`
Generated

### getBranch

public CDOBranchRef getBranch()

Specified by:
  `getBranch` in interface `DeliveryReview`
Specified by:
  `getBranch` in interface `FloatingBaseline`
Returns:
  the value of the 'Branch' attribute.
See Also:
  - `DeliveryReview.setBranch(CDOBranchRef)`
  - `ReviewsPackage.getDeliveryReview_Branch()`
Generated

### setBranch

public void setBranch(CDOBranchRef newBranch)

Specified by:
  `setBranch` in interface `DeliveryReview`
Parameters:
  `newBranch` - the new value of the 'Branch' attribute.
See Also:
  - `DeliveryReview.getBranch()`
Generated

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `ReviewImpl`
Generated

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `ReviewImpl`
Generated

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `ReviewImpl`
Generated

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `ReviewImpl`
Generated

### eBaseStructuralFeatureID

public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)

Specified by:
  `eBaseStructuralFeatureID` in interface `InternalEObject`
Overrides:
  `eBaseStructuralFeatureID` in class `ReviewImpl`
Generated

### eDerivedStructuralFeatureID

public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)

Specified by:
  `eDerivedStructuralFeatureID` in interface `InternalEObject`
Overrides:
  `eDerivedStructuralFeatureID` in class `ReviewImpl`
Generated

### isFloating

public boolean isFloating()
Description copied from class: `BaselineImpl`

Specified by:
  `isFloating` in interface `Baseline`
Specified by:
  `isFloating` in class `BaselineImpl`
Returns:
  the value of the 'Floating' attribute.
See Also:
  - `LMPackage.getBaseline_Floating()`

### getTypeName

public String getTypeName()

Specified by:
  `getTypeName` in interface `Baseline`
Overrides:
  `getTypeName` in class `BaselineImpl`

### getName

public String getName()
Description copied from class: `BaselineImpl`

Specified by:
  `getName` in interface `Baseline`
Specified by:
  `getName` in class `BaselineImpl`

### getSortPriority

public int getSortPriority()

Specified by:
  `getSortPriority` in interface `ExtendedBaseline`

### getBranchPoint

public CDOBranchPointRef getBranchPoint()
Description copied from class: `BaselineImpl`

Specified by:
  `getBranchPoint` in interface `Baseline`
Specified by:
  `getBranchPoint` in class `BaselineImpl`

### getBaseTimeStamp

public long getBaseTimeStamp()
Description copied from class: `BaselineImpl`

Specified by:
  `getBaseTimeStamp` in interface `Baseline`
Specified by:
  `getBaseTimeStamp` in class `BaselineImpl`